<dialog class="dialog-detail" #dialog>
  <div class="dialog-detail__close-button-container">
    <button type="button" (click)="closeDialog()">
      <i class="fa-solid fa-xmark"></i>
    </button>
  </div>
  <ng-container [ngSwitch]="dialogMode">
    <app-edit-task
      *ngSwitchCase="'edit'"
      [task]="task"
      (cancelUpdate)="closeDialog()"
    ></app-edit-task>
    <app-add-task
      *ngSwitchCase="'add'"
      (addComplete)="closeDialog()"
      (cancelUpdate)="closeDialog()"
      [openedFromModal]="true"
    ></app-add-task>
  </ng-container>
</dialog>
